<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class DocumentMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $url = null;
    


    protected $mimetype = null;
    


    protected $title = null;
    


    protected $fileSha256 = null;
    


    protected $fileLength = null;
    


    protected $pageCount = null;
    


    protected $mediaKey = null;
    


    protected $fileName = null;
    


    protected $fileEncSha256 = null;
    


    protected $directPath = null;
    


    protected $mediaKeyTimestamp = null;
    


    protected $contactVcard = null;
    


    protected $thumbnailDirectPath = null;
    


    protected $thumbnailSha256 = null;
    


    protected $thumbnailEncSha256 = null;
    


    protected $jpegThumbnail = null;
    


    protected $contextInfo = null;
    


    protected $thumbnailHeight = null;
    


    protected $thumbnailWidth = null;
    


    protected $caption = null;
    


    protected $accessibilityLabel = null;
    


    protected $mediaKeyDomain = null;

    





























    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getUrl()
    {
        return isset($this->url) ? $this->url : '';
    }

    public function hasUrl()
    {
        return isset($this->url);
    }

    public function clearUrl()
    {
        unset($this->url);
    }

    




    public function setUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->url = $var;

        return $this;
    }

    



    public function getMimetype()
    {
        return isset($this->mimetype) ? $this->mimetype : '';
    }

    public function hasMimetype()
    {
        return isset($this->mimetype);
    }

    public function clearMimetype()
    {
        unset($this->mimetype);
    }

    




    public function setMimetype($var)
    {
        GPBUtil::checkString($var, True);
        $this->mimetype = $var;

        return $this;
    }

    



    public function getTitle()
    {
        return isset($this->title) ? $this->title : '';
    }

    public function hasTitle()
    {
        return isset($this->title);
    }

    public function clearTitle()
    {
        unset($this->title);
    }

    




    public function setTitle($var)
    {
        GPBUtil::checkString($var, True);
        $this->title = $var;

        return $this;
    }

    



    public function getFileSha256()
    {
        return isset($this->fileSha256) ? $this->fileSha256 : '';
    }

    public function hasFileSha256()
    {
        return isset($this->fileSha256);
    }

    public function clearFileSha256()
    {
        unset($this->fileSha256);
    }

    




    public function setFileSha256($var)
    {
        GPBUtil::checkString($var, False);
        $this->fileSha256 = $var;

        return $this;
    }

    



    public function getFileLength()
    {
        return isset($this->fileLength) ? $this->fileLength : 0;
    }

    public function hasFileLength()
    {
        return isset($this->fileLength);
    }

    public function clearFileLength()
    {
        unset($this->fileLength);
    }

    




    public function setFileLength($var)
    {
        GPBUtil::checkUint64($var);
        $this->fileLength = $var;

        return $this;
    }

    



    public function getPageCount()
    {
        return isset($this->pageCount) ? $this->pageCount : 0;
    }

    public function hasPageCount()
    {
        return isset($this->pageCount);
    }

    public function clearPageCount()
    {
        unset($this->pageCount);
    }

    




    public function setPageCount($var)
    {
        GPBUtil::checkUint32($var);
        $this->pageCount = $var;

        return $this;
    }

    



    public function getMediaKey()
    {
        return isset($this->mediaKey) ? $this->mediaKey : '';
    }

    public function hasMediaKey()
    {
        return isset($this->mediaKey);
    }

    public function clearMediaKey()
    {
        unset($this->mediaKey);
    }

    




    public function setMediaKey($var)
    {
        GPBUtil::checkString($var, False);
        $this->mediaKey = $var;

        return $this;
    }

    



    public function getFileName()
    {
        return isset($this->fileName) ? $this->fileName : '';
    }

    public function hasFileName()
    {
        return isset($this->fileName);
    }

    public function clearFileName()
    {
        unset($this->fileName);
    }

    




    public function setFileName($var)
    {
        GPBUtil::checkString($var, True);
        $this->fileName = $var;

        return $this;
    }

    



    public function getFileEncSha256()
    {
        return isset($this->fileEncSha256) ? $this->fileEncSha256 : '';
    }

    public function hasFileEncSha256()
    {
        return isset($this->fileEncSha256);
    }

    public function clearFileEncSha256()
    {
        unset($this->fileEncSha256);
    }

    




    public function setFileEncSha256($var)
    {
        GPBUtil::checkString($var, False);
        $this->fileEncSha256 = $var;

        return $this;
    }

    



    public function getDirectPath()
    {
        return isset($this->directPath) ? $this->directPath : '';
    }

    public function hasDirectPath()
    {
        return isset($this->directPath);
    }

    public function clearDirectPath()
    {
        unset($this->directPath);
    }

    




    public function setDirectPath($var)
    {
        GPBUtil::checkString($var, True);
        $this->directPath = $var;

        return $this;
    }

    



    public function getMediaKeyTimestamp()
    {
        return isset($this->mediaKeyTimestamp) ? $this->mediaKeyTimestamp : 0;
    }

    public function hasMediaKeyTimestamp()
    {
        return isset($this->mediaKeyTimestamp);
    }

    public function clearMediaKeyTimestamp()
    {
        unset($this->mediaKeyTimestamp);
    }

    




    public function setMediaKeyTimestamp($var)
    {
        GPBUtil::checkInt64($var);
        $this->mediaKeyTimestamp = $var;

        return $this;
    }

    



    public function getContactVcard()
    {
        return isset($this->contactVcard) ? $this->contactVcard : false;
    }

    public function hasContactVcard()
    {
        return isset($this->contactVcard);
    }

    public function clearContactVcard()
    {
        unset($this->contactVcard);
    }

    




    public function setContactVcard($var)
    {
        GPBUtil::checkBool($var);
        $this->contactVcard = $var;

        return $this;
    }

    



    public function getThumbnailDirectPath()
    {
        return isset($this->thumbnailDirectPath) ? $this->thumbnailDirectPath : '';
    }

    public function hasThumbnailDirectPath()
    {
        return isset($this->thumbnailDirectPath);
    }

    public function clearThumbnailDirectPath()
    {
        unset($this->thumbnailDirectPath);
    }

    




    public function setThumbnailDirectPath($var)
    {
        GPBUtil::checkString($var, True);
        $this->thumbnailDirectPath = $var;

        return $this;
    }

    



    public function getThumbnailSha256()
    {
        return isset($this->thumbnailSha256) ? $this->thumbnailSha256 : '';
    }

    public function hasThumbnailSha256()
    {
        return isset($this->thumbnailSha256);
    }

    public function clearThumbnailSha256()
    {
        unset($this->thumbnailSha256);
    }

    




    public function setThumbnailSha256($var)
    {
        GPBUtil::checkString($var, False);
        $this->thumbnailSha256 = $var;

        return $this;
    }

    



    public function getThumbnailEncSha256()
    {
        return isset($this->thumbnailEncSha256) ? $this->thumbnailEncSha256 : '';
    }

    public function hasThumbnailEncSha256()
    {
        return isset($this->thumbnailEncSha256);
    }

    public function clearThumbnailEncSha256()
    {
        unset($this->thumbnailEncSha256);
    }

    




    public function setThumbnailEncSha256($var)
    {
        GPBUtil::checkString($var, False);
        $this->thumbnailEncSha256 = $var;

        return $this;
    }

    



    public function getJpegThumbnail()
    {
        return isset($this->jpegThumbnail) ? $this->jpegThumbnail : '';
    }

    public function hasJpegThumbnail()
    {
        return isset($this->jpegThumbnail);
    }

    public function clearJpegThumbnail()
    {
        unset($this->jpegThumbnail);
    }

    




    public function setJpegThumbnail($var)
    {
        GPBUtil::checkString($var, False);
        $this->jpegThumbnail = $var;

        return $this;
    }

    



    public function getContextInfo()
    {
        return $this->contextInfo;
    }

    public function hasContextInfo()
    {
        return isset($this->contextInfo);
    }

    public function clearContextInfo()
    {
        unset($this->contextInfo);
    }

    




    public function setContextInfo($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\ContextInfo::class);
        $this->contextInfo = $var;

        return $this;
    }

    



    public function getThumbnailHeight()
    {
        return isset($this->thumbnailHeight) ? $this->thumbnailHeight : 0;
    }

    public function hasThumbnailHeight()
    {
        return isset($this->thumbnailHeight);
    }

    public function clearThumbnailHeight()
    {
        unset($this->thumbnailHeight);
    }

    




    public function setThumbnailHeight($var)
    {
        GPBUtil::checkUint32($var);
        $this->thumbnailHeight = $var;

        return $this;
    }

    



    public function getThumbnailWidth()
    {
        return isset($this->thumbnailWidth) ? $this->thumbnailWidth : 0;
    }

    public function hasThumbnailWidth()
    {
        return isset($this->thumbnailWidth);
    }

    public function clearThumbnailWidth()
    {
        unset($this->thumbnailWidth);
    }

    




    public function setThumbnailWidth($var)
    {
        GPBUtil::checkUint32($var);
        $this->thumbnailWidth = $var;

        return $this;
    }

    



    public function getCaption()
    {
        return isset($this->caption) ? $this->caption : '';
    }

    public function hasCaption()
    {
        return isset($this->caption);
    }

    public function clearCaption()
    {
        unset($this->caption);
    }

    




    public function setCaption($var)
    {
        GPBUtil::checkString($var, True);
        $this->caption = $var;

        return $this;
    }

    



    public function getAccessibilityLabel()
    {
        return isset($this->accessibilityLabel) ? $this->accessibilityLabel : '';
    }

    public function hasAccessibilityLabel()
    {
        return isset($this->accessibilityLabel);
    }

    public function clearAccessibilityLabel()
    {
        unset($this->accessibilityLabel);
    }

    




    public function setAccessibilityLabel($var)
    {
        GPBUtil::checkString($var, True);
        $this->accessibilityLabel = $var;

        return $this;
    }

    



    public function getMediaKeyDomain()
    {
        return isset($this->mediaKeyDomain) ? $this->mediaKeyDomain : 0;
    }

    public function hasMediaKeyDomain()
    {
        return isset($this->mediaKeyDomain);
    }

    public function clearMediaKeyDomain()
    {
        unset($this->mediaKeyDomain);
    }

    




    public function setMediaKeyDomain($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\Message\MediaKeyDomain::class);
        $this->mediaKeyDomain = $var;

        return $this;
    }

}

